# Adaino

Adaino is an open source Analog Data Acquisition library for Arduino and IoT. It simplifies reading analog inputs not only for single conversion results but also for continuous signals with high frequency spectrums.

Adaino is not mature yet, actively developed and new features are expected to be added soon. The public API should not be considered stable therefore.

## Getting Started

Follow Arduino's [Libraries Guide](https://www.arduino.cc/en/Guide/Libraries) for installing the Adaino library in your Arduino IDE.

To get you started, we created some examples. The most basic one is [ada.ino](examples/ada/ada.ino).

## Supported Hardware

Adaino requires an Arduino device with a SAMD21 microcontroller. The following devices are known to be working:

* [Arduino MKR family](https://store.arduino.cc/arduino-genuino/arduino-genuino-mkr-family)
* [Adafruit Feather M0 Wifi](https://www.adafruit.com/product/3010) and related boards

## Contributing

We welcome community contributions to advance the Adaino project and make reliable and easy-to-use analog data acquisition available to everyone.

Users of the Adaino library are invited to provide feedback, share user experiences and report bugs. The more projets making use of Adaino, the better and more reliable it gets.

Developers are welcome to provide bugfixes, new features or support for additional Arduino boards.

## License

The Adaino library is an open source project by [Werktag](https://www.werktag.io) and published using the [3-Clause BSD License](LICENSE).